Bug 238613 - math/openlibm: fix build with GCC-based architectures
Summary: math/openlibm: fix build with GCC-based architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-16 13:21 UTC by Piotr Kubaj
Modified: 2019-06-19 14:43 UTC (History)
2 users (show)

See Also:
iblis: maintainer-feedback+


Attachments
patch (1.00 KB, patch)
2019-06-16 13:21 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (iblis)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-06-16 13:21:28 UTC
Created attachment 205126 [details]
patch

This port needs attached patch to build on GCC architectures (it doesn't respect CC).
Comment 1 Iblis Lin 2019-06-17 03:27:41 UTC
Thanks for the patch. It looks good to me.
Comment 2 commit-hook freebsd_committer 2019-06-17 07:18:13 UTC
A commit references this bug:

Author: pkubaj
Date: Mon Jun 17 07:17:11 UTC 2019
New revision: 504395
URL: https://svnweb.freebsd.org/changeset/ports/504395

Log:
  math/openlibm: fix build with GCC-based architectures

  The port needs to respect CC and use a new compiler.

  PR:		238613
  Approved by:	iblis@hs.ntnu.edu.tw (maintainer), mat (mentor)
  Differential Revision:	https://reviews.freebsd.org/D20670

Changes:
  head/math/openlibm/Makefile